Skip to main content
`Ctrl`+`K`

# DMRedundantGetSize

Gets the size of a densely coupled redundant object

## Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantGetSize(DM dm, PetscMPIInt *rank, PetscInt *N)

Not Collective

## Input Parameter

- dm - `DM` object of type `DMREDUNDANT`

## Output Parameters

- rank - rank of process to own the redundant degrees of freedom (or `NULL`)

- N - total number of redundant degrees of freedom (or `NULL`)

## See Also

`DM`, `DMREDUNDANT`, `DMDestroy()`, `DMCreateGlobalVector()`, `DMRedundantCreate()`, `DMRedundantSetSize()`

## Level

advanced

## Location

src/dm/impls/redundant/dmredundant.c

## Implementations

DMRedundantGetSize_Redundant() in src/dm/impls/redundant/dmredundant.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages